import { ComponentPropsWithoutRef, ReactElement } from 'react';
import { UseCodeMirrorOptions } from './useCodeMirror';
export declare type CodeMirrorProps = Omit<ComponentPropsWithoutRef<'div'>, 'defaultValue' | 'value' | 'onChange' | 'readOnly'> & UseCodeMirrorOptions;
export declare const CodeMirror: ({ defaultValue, value, onChange, padding, extensions, readOnly, showLineNumbers, wrapLine, filename, style, ...rest }: CodeMirrorProps) => ReactElement;
