import { RefObject } from 'react';
import { EditorView } from '@codemirror/view';
import { Config } from './config';
export declare type UseCodeMirrorOptions = Config & {
    defaultValue?: string;
    value?: string;
    onChange?: (value: string) => void;
};
export declare const useCodeMirror: (parentRef: RefObject<Element | DocumentFragment | undefined>, { defaultValue, value, onChange, padding, readOnly, showLineNumbers, wrapLine, extensions, filename, }: UseCodeMirrorOptions) => import("react").MutableRefObject<EditorView | null>;
